Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`application`.`twist`.`_twist`.`Twist``

class documentation

`class Twist: (source)`

View In Hierarchy

Run a Twisted application.

Class Method | `main` | Executable entry point for `Twist`. Processes options and run a twisted reactor with a service.
Static Method | `options` | Parse command line options.
Static Method | `run` | Run the application service.
Static Method | `service` | Create the application service.
Static Method | `startService` | Start the application service.

@classmethod
def main(cls, argv: `Sequence[str]` = sys.argv): (source)

Executable entry point for `Twist`. Processes options and run a twisted reactor with a service.

Parameters
argv:`list` | Command line arguments.

@staticmethod
def options(argv: `Sequence[str]`) -> `TwistOptions`: (source)

Parse command line options.

Parameters
argv:`Sequence[str]` | Command line arguments.
Returns
`TwistOptions` | The parsed options.

@staticmethod
def run(twistOptions: `TwistOptions`): (source)

Run the application service.

Parameters
twistOptions:`TwistOptions` | Command line options to convert to runner arguments.

@staticmethod
def service(plugin: `IServiceMaker`, options: `Options`) -> `IService`: (source)

Create the application service.

Parameters
plugin:`IServiceMaker` | The name of the plugin that implements the service application to run.
options:`Options` | Options to pass to the application.
Returns
`IService` | The created application service.

@staticmethod
def startService(reactor: `IReactorCore`, service: `IService`): (source)

Start the application service.

Parameters
reactor:`IReactorCore` | The reactor to run the service with.
service:`IService` | The application service to run.